Get Batch Refund ( SUNSETTING )
curl --request GET \
--url https://api.grailpay.com/3p/api/v1/batchrefunds/{batch_refund_uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.grailpay.com/3p/api/v1/batchrefunds/{batch_refund_uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.grailpay.com/3p/api/v1/batchrefunds/{batch_refund_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "",
"data": {
"total": "100",
"refund_uuid": [
{
"refund_uuid": "123e4567-e89b-12d3-a456-426614174000",
"transaction_uuid": "123e4567-e89b-12d3-a456-426614174000",
"amount": "100",
"client_reference_id": "123e4567",
"capture_delay_days": "1",
"payout_delay_days": "1"
}
]
},
"errors": null,
"error_code": null
}{
"status": false,
"message": "Invalid Token",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "Access denied. Please use a secure (HTTPS) connection.",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "Batch refund not found",
"data": null,
"errors": null,
"error_code": null
}Refunds
Get Batch Refund ( SUNSETTING )
This API is processor specific and returns a list of refunds included in the specified batch. This Endpoint is Sunsetting and you should use the stable endpoint. Sunsetting APIs that are still supported but scheduled for deprecation.
GET
/
3p
/
api
/
v1
/
batchrefunds
/
{batch_refund_uuid}
Get Batch Refund ( SUNSETTING )
Authorizations
Token-based authentication using Authorization: Bearer <YOUR_API_KEY> provided by the GrailPay Support Team.
Path Parameters
UUID of the batch refund
⌘I
